Subject: Re: On the scope discussion

From: Randy Bush <[email-masked]>
Date: Mon, 11 Aug 2003 16:39:14 -0700

bingo!

> The scope discussion is flawed, held in the wrong forum and should cease.
> 
> The charter -- according to the web page -- says: "The primary focus
> of the IPv6 w.g. is to complete the standardization of the IPv6
> protocols." Consequently, the wg is an Internet Area working group;
> *not* an Ops WG.
> 
> We have reached (albeit rough) consensus that the scoped addresses
> are to be limited to link-local only.
> 
> But, as far as I can tell, the scope discussion has not terminated,
> but instead ended up in a swamp where implementors and protocol
> architects are trying to teach operators how to run their networks,
> by inventing useless management complications that neither will
> contribute to the simple, smooth operation of an IPv6 Internet, nor
> assist in securing hosts against evil-minded attacks.
> 
> Let's look at the some of the core arguments:
> 
> * "Non-routable prefixes are inherently safe". Perhaps. One could rewrite
>     this to: "Non-routed prefixes are inherently safe". If I route a part=
> of
>     my /48 only in my IGP, and blackhole it in my border routers, I have
>     created a non-routed prefix, as long as my border devices can throw
>     packets. (There is overwhelming operational experience that says
>     "routers can drop packets".) In terms of "scope" this so treated
>     global prefix chunk walks like a site-local, talks like a site-local,
>     is safe like a site-local[0] but lacks the need for extra scope-
>     checking code.
> 
> * "Renumbering is hard". Well, stop whining and help work on the
>    renumbering drafts instead. I have not renumbered any v6 networks yet,
>    but have done a fair bit of v4 network restruction. To me, the solution
>    lies in abandoning the identifier overloading that takes place when
>    people configure applications to use IP addresses directly, and
>    instead apply suitable layers of abstraction. Allowing people to
>    preserve the overloading by making it "convenient" to keep the address
>    for long times is a step in the wrong direction.
> 
> To me, this looks like material for an operational discussion, that
> should result in two BCP documents, "Practices for controlled
> limitation of node  reachability in IP networks" and "IPv6 Network
> address plan design with renumbering in mind.", none of which look
> like Internet area documents but instead like Ops stuff.
> 
> May I humbly suggest that the people so greatly concerned with how
> networks are to be operated go and write these BCPen in an Ops
> group, and leave the crippling featurism out of the IP protocol.
> 
> Best regards,
> --
> M=E5ns Nilsson            Systems Specialist
> +46 70 681 7204         KTHNOC  MN1334-RIPE
> 
> We're sysadmins. To us, data is a protocol-overhead.
> 
> [0] Maybe. I help run a pretty large multi-AS network, edge and
> core mixed, the uses more and more IPv6. We have tried, but can't
> come up with any reasons for inherently crippled prefixes (we are
> at times way too good at crippling the useful ones ourselves...),
> so we can't really tell whether they are useful, they just do not
> seem so.
> 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------